xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Rickard Gustafsson <acura@allyourbase.se>
License | BSD-style (see LICENSE)
Maintainer | Rickard Gustafsson <acura@allyourbase.se>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Layout.StackTile

Contents

- Usage

Description

A stacking layout, like dishes but with the ability to resize master pane. Mostly useful on small screens.

Synopsis

- data StackTile a = StackTile !Int !Rational !Rational

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.StackTile

Then edit your `layoutHook` by adding the StackTile layout:

    myLayout =  StackTile 1 (3/100) (1/2) ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

data StackTile a #

Constructors

StackTile !Int !Rational !Rational |

#### Instances

Instances details

LayoutClass StackTile a # |
Instance details Defined in XMonad.Layout.StackTile Methods runLayout :: Workspace WorkspaceId (StackTile a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (StackTile a)) # doLayout :: StackTile a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (StackTile a)) # pureLayout :: StackTile a -> Rectangle -> Stack a -> [(a, Rectangle)] # emptyLayout :: StackTile a -> Rectangle -> X ([(a, Rectangle)], Maybe (StackTile a)) # handleMessage :: StackTile a -> SomeMessage -> X (Maybe (StackTile a)) # pureMessage :: StackTile a -> SomeMessage -> Maybe (StackTile a) # description :: StackTile a -> String #
Read (StackTile a) # |
Instance details Defined in XMonad.Layout.StackTile Methods readsPrec :: Int -> ReadS (StackTile a) # readList :: ReadS [StackTile a] # readPrec :: ReadPrec (StackTile a) # readListPrec :: ReadPrec [StackTile a] #
Show (StackTile a) # |
Instance details Defined in XMonad.Layout.StackTile Methods showsPrec :: Int -> StackTile a -> ShowS # show :: StackTile a -> String # showList :: [StackTile a] -> ShowS #